#include "stdafx.h"
#include "MapiApp.h"
#include "MapiAppDlg.h"
#include "CMapi.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(CMailApp, CWinApp) //NOLINT(clang-diagnostic-unused-local-typedef, modernize-avoid-c-arrays)
END_MESSAGE_MAP()


#pragma warning(suppress: 26426)
CMailApp theApp;


BOOL CMailApp::InitInstance()
{
  //Settings will be stored in the registry
  SetRegistryKey(_T("PJ Naughter"));

  //Check that Mapi is installed
  CMapi::CSession session;
  if (!session.MapiInstalled())
  {
    AfxMessageBox(_T("MAPI is not installed on this machine, the program will now exit"), MB_OK | MB_ICONSTOP);
    return FALSE;
  }

  //Bring up the main dialog
  CMailDlg dlg;
  m_pMainWnd = &dlg;
  dlg.DoModal();

  return FALSE;
}
