#pragma once


#include "CMapi.h"


class CEnumMessagesDlg : public CDialog
{
public:
//Constructors / Destructors
  CEnumMessagesDlg(_In_opt_ CWnd* pParent = nullptr);
  CEnumMessagesDlg(const CEnumMessagesDlg&) = delete;
  CEnumMessagesDlg(CEnumMessagesDlg&&) = delete;
  ~CEnumMessagesDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CEnumMessagesDlg& operator=(const CEnumMessagesDlg&) = delete;
  CEnumMessagesDlg& operator=(CEnumMessagesDlg&&) = delete;

//Member variables
  enum { IDD = IDD_ENUMBMAILMESSAGES_DLG };
  CMapi::CSession* m_pMAPISession;

protected:
//Member variables
  CListCtrl m_ctrlMessages;
  std::vector<std::string> m_Messages;

//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;

//Message handlers
  afx_msg void OnDblclkLstMessages(NMHDR* pNMHDR, LRESULT* pResult);

  DECLARE_MESSAGE_MAP()
};
